/**
 * Definitions for routines for writing frames out in the hexadecimal format.
 * 
 * This file is part of DCC Monitor.
 *
 * Copyright 2008 Peter Lebbing <peter@digitalbrains.com>
 *
 * DCC Monitor is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * DCC Monitor is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with DCC Monitor.  If not, see <http://www.gnu.org/licenses/>.
 */
#ifndef FILE_HEX_WRITER_H
#define FILE_HEX_WRITER_H

#define _GNU_SOURCE
#include <stdio.h>

/**
 * Set the given stream to be the output stream, which is where all received
 * communication frames will be printed in hex.
 */
extern void hex_writer_set_stream (FILE *stream);

/**
 * Write the received frame to the output stream.
 *
 * Argument get_retval is the return value of the comm_get_frame_function that
 * produced the frame.
 *
 * Write errors cause program termination.
 */
extern void hex_write_frame (int8_t get_retval, struct s_frame* frame);

#endif // ndef FILE_HEX_WRITER_H
