/**
 * Serial port handling routine definitions
 *
 * Configures a serial port for reception and attaches a stream to it.
 *
 * This file is part of DCC Monitor.
 *
 * Copyright 2007, 2008 Peter Lebbing <peter@digitalbrains.com>
 *
 * DCC Monitor is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * DCC Monitor is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with DCC Monitor.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef FILE_SERIAL_H
#define FILE_SERIAL_H

#include <stdio.h>

/**
 * Initialises the serial port given by filename to receive data from DCC
 * Monitor boards.
 *
 * @returns a stream connected to the serial port
 */
extern FILE* init_serial_port (const char* filename);

#endif // ndef FILE_SERIAL_H
