/**
 * Communication protocol routine emulation header file 
 *
 * This header file is purely for easy emulation of tests.
 *
 * Some definitions from the firmware common/global.h file are included for use
 * by tests copied from the firmware.
 *
 * This file is part of DCC Monitor.
 *
 * Copyright 2007,2008 Peter Lebbing <peter@digitalbrains.com>
 *
 * DCC Monitor is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * DCC Monitor is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with DCC Monitor.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef FILE_TESTS_GLOBAL_H
#define FILE_TESTS_GLOBAL_H

#include <stdint.h>

extern uint8_t global_test_var[];

/**
 * Communication protocol definitions
 */
#define MANAG_PROTO 0 // Management protocol has number 0
#define MANAG_HELLO 0 // Management proto hello message
#define MANAG_BUS_OVF 1 // Management protocol "Overflow on monitored bus" message
#define MANAG_TEST  6 // Management protocol test functions
#define MANAG_TEST_COMM 0 // Management protocol "Communication protocol" test
#define MANAG_TEST_FORWARD 1 // Management protocol "Communication forward" test

// GLOBAL_TEST_VAR_SIZE is defined in tests/test_emul.h

// MAX_FRAME_SIZE is defined in global.h (parent directory), which is included
// in tests/test_emul.h

// tests/test_emul.h is included in tests/comm_proto.h

#endif // ndef FILE_TESTS_GLOBAL_H
